PHP, which is a meta-acronym for PHP: Hypertext Preprocessor, is one of the most famous interpreted programming languages out there. Any website or Internet app built with PHP will run on a given web server on the condition that a PHP module is installed, which renders the language absolutely universal and it’s not really a huge surprise that there are actually a few million web servers that support it and hundreds of millions of PHP-powered websites hosted on them. PHP is preferred over HTML owing to the fact that it allows you to create a dynamic site with a lot of features. A PHP-based social network, for example, will serve different content to each visitor despite the fact that the URL won’t change. On the other hand, HTML-based websites are static and the page content can be updated only manually. Just like any other software program, PHP has several versions and the one that was used while developing a particular website must be set up on the server in order for the site to work properly.

PHP 4, PHP 5 and PHP 7 Support in Cloud Web Hosting

Our cloud web hosting servers support several versions of PHP, so your sites will run without any problems even if your PHP-based scripts are out of date. We accept the fact that an old website doesn’t always mean a vulnerable one as you may have performed plenty of mods to its source code. That is the reason why we support PHP 4, PHP 5 and PHP 7 and you can select which one will be enabled for your account. The version can be changed with only one single click inside your Hepsia Control Panel and the new settings will be applied straight away. In case you would like to run both older and newer scripts, there is even a possibility to use a different PHP version for each of your domain names at the same time.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Servers

If you’ve got a website built using an older version of PHP and you’ve committed time and energy into developing it, fixing safety breaches and appending web page content, you will need a web hosting service that can support it, as nearly all web hosting providers today offer support only for the latest version of PHP and drop the older ones. We, on the other hand, have decided to let you pick the exact version that your own websites require. Our Linux semi-dedicated plans support PHP 4, PHP 5 and PHP 7, which suggests that you’ll be able to run both newer and older scripts without forfeiting any custom modifications or wasting time and efforts striving to make your websites compatible with the web hosting environment. The current version can be changed from the Hepsia hosting Control Panel and such a change will apply to the entire account, but you’ll also have the ability to specify a different PHP version for each site that you host in your account using an .htaccess configuration file.